package com.yvr.testtobsetting;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;

import com.yvr.tobsettings.ToBServiceHelper;

public class TestReceiver extends BroadcastReceiver {
    private static final String TAG = TestReceiver.class.getSimpleName();

    @Override
    public void onReceive(Context context, Intent intent) {
        final String action = intent.getAction();
        Log.d(TAG, "onReceive " + action);

        if ("com.yvr.test.SCREEN_ON".equals(action)) {
            ToBServiceHelper.getInstance().setScreenOn();
        } else if("com.yvr.test.SWITCH_TO_YVR_HOME".equals(action)) {
            boolean ret = ToBServiceHelper.getInstance().changeThirdHomeState("com.yvr.mrhome", false);
            Log.d(TAG, "onReceive ret: " + ret);
        } else if ("com.yvr.test.PLAY".equals(action)) {
            String command = intent.getStringExtra("command");
            if ("pause".equals(command)) {
                ToBServiceHelper.getInstance().videoPlayPause();
            } else if ("resume".equals(command)) {
                ToBServiceHelper.getInstance().videoPlayResume();
            }
        }
    }
}
