package com.yvr.testtobsetting;

import android.content.Context;
import android.os.IBinder;
import android.os.RemoteException;
import android.util.AttributeSet;
import android.util.Log;
import android.view.SurfaceHolder;
import android.view.SurfaceView;

import androidx.annotation.NonNull;

import com.yvr.tobsettings.ToBServiceHelper;
import com.yvr.tobsettings.interfaces.IRecordScreenBySurfaceListener;

public class TestSurfaceView extends SurfaceView implements SurfaceHolder.Callback{
    private final String TAG = getClass().getSimpleName();
    private SurfaceHolder mHolder = getHolder();
 
    public TestSurfaceView(Context context) {
        this(context, null);
    }
 
    public TestSurfaceView(Context context, AttributeSet attrs) {
        this(context, attrs, 0);
    }
 
    public TestSurfaceView(Context context, AttributeSet attrs, int defStyleAttr) {
        this(context, attrs, defStyleAttr, 0);
    }
 
    public TestSurfaceView(Context context, AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
        //为Surface添加状态监听
        mHolder.addCallback(this);
    }

    private IRecordScreenBySurfaceListener iRecordScreenBySurfaceListener = new IRecordScreenBySurfaceListener() {
        @Override
        public void notifyStart() throws RemoteException {
            Log.d("TestSurfaceView", "notifyStart");
        }

        @Override
        public void notifyStop() throws RemoteException {
            Log.d("TestSurfaceView", "notifyStart");
        }

        @Override
        public IBinder asBinder() {
            return null;
        }
    };

    @Override
    public void surfaceCreated(SurfaceHolder holder) {
        ToBServiceHelper.getInstance().setRecordScreenBySurfaceListener(iRecordScreenBySurfaceListener);
    }
 
    @Override
    public void surfaceChanged(@NonNull SurfaceHolder holder, int format, int width, int height) {
        Log.d("TestSurfaceView", "surfaceChanged:" + holder.getSurface().toString());
        ToBServiceHelper.getInstance().startRecordScreenBySurface(holder.getSurface(), width, height, 0);
    }
 
    @Override
    public void surfaceDestroyed(@NonNull SurfaceHolder holder) {
        ToBServiceHelper.getInstance().stopRecordScreenBySurface();
        ToBServiceHelper.getInstance().removeRecordScreenBySurfaceListener(iRecordScreenBySurfaceListener);
    }
}