package com.yvr.testtobsetting.base;

import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import android.widget.EditText;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

public class BaseActivity extends AppCompatActivity {
    public TextView mResultView;
    public EditText mEditText;
    public Handler mHandle = null;
    public final static int MSG_UPDATE_TEXTVIEW = 1;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        if (mHandle == null) {
            mHandle = new Handler(Looper.getMainLooper()) {
                @Override
                public void handleMessage(@NonNull Message msg) {
                    switch (msg.what) {
                        case MSG_UPDATE_TEXTVIEW:
                            if (msg.obj != null) {
                                String msgStr = (String) msg.obj;
                                if (mResultView != null) {
                                    mResultView.setText(msgStr);
                                }
                            }
                            break;
                    }
                }
            };
        }
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
    }
}
