package com.yvr.testtobsetting.test;

import android.content.Context;
import android.util.Log;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.IInstallCallback;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.List;

public class ApkTest extends BaseThreeItems {
    public ApkTest(Context context) {
        super(context);
        TAG += "ApkTest";
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.install_apk);
    }

    @Override
    protected String itemClickResult() {
        ToBServiceHelper.getInstance().silentInstall("/storage/emulated/0/douyin.apk");
        return null;
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.get_all_apks);
    }

    @Override
    public String thirdItemClickResult() {
        List<String> apks = ToBServiceHelper.getInstance().getAllPackages();
        return apks.toString();
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.uninstall_apk);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().silentUnInstall("com.ss.android.ugc.aweme");;
        return null;
    }

    @Override
    public void setServiceConnect(boolean connected) {
        super.setServiceConnect(connected);
        if (connected) {
            ToBServiceHelper.getInstance().setInstallAppCallback(new IInstallCallback() {
                @Override
                public void installApkResult(boolean isSuccess, String pkgName, int errorCode) {
                    Log.i(TAG, "installApkResult isSuccess:" + isSuccess + ",pkgName:"
                            + pkgName + ",errorCode:" + errorCode);
                }

                @Override
                public void notifyAppUrgrading(String pkgName) {
                    Log.i(TAG, "notifyAppUrgrading pkgName=" + pkgName);
                }

                @Override
                public void notifyAppUrgradeComplete(String pkgName) {
                    Log.i(TAG, "notifyAppUrgradeComplete pkgName:" + pkgName);
                }

                @Override
                public void unInstallApkResult(boolean success, String pkgName, int error) {
                    Log.i(TAG, "unInstallApkResult success=" + success + ",pkgName:"
                            + pkgName + ",error:" + error);
                }
            });
        }
    }
}
