package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.os.RemoteException;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class AppStoreTest extends BaseTwoItems {
    public AppStoreTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.app_store_show);
    }

    @Override
    protected String itemClickResult() {
        boolean show = ToBServiceHelper.getInstance().setAppStoreShow(true);
        if(show) {
            new Handler(Looper.getMainLooper()).postDelayed(() -> {
                ToBServiceHelper.getInstance().reboot();
            }, 1000);
        }
        return null;
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.app_store_hide);
    }

    @Override
    public String secondItemClickResult() {
        boolean hide = ToBServiceHelper.getInstance().setAppStoreShow(false);

        if(hide) {
            new Handler(Looper.getMainLooper()).postDelayed(() -> {
                ToBServiceHelper.getInstance().reboot();
            }, 1000);
        }
        return null;
    }
}
