package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.Build;
import android.util.Log;

import androidx.annotation.RequiresApi;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseFourItems;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.function.Consumer;

public class BatteryStorageTest extends BaseFourItems {
    public BatteryStorageTest(Context context) {
        super(context);
    }

    @Override
    public String getFourthName() {
        return mContext.getString(R.string.battery_temp);
    }

    @Override
    public String fourthItemClickResult() {
        int ret = ToBServiceHelper.getInstance().getBatteryTemperature();
        return showResult(R.string.battery_temp, ret + "");
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.battery);
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    @Override
    protected String itemClickResult() {
        //int ret = ToBServiceHelper.getInstance().getBatteryCapacity();
        int ret = ToBServiceHelper.getInstance().getDeviceBattery(new Consumer<Integer>() {
            @Override
            public void accept(Integer integer) {
                Log.d(TAG, "currentBattery Level = " + integer.intValue());
            }
        });
        return showResult(R.string.battery, ret + "");
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.storage_details);
    }

    @Override
    public String thirdItemClickResult() {
        String ret = ToBServiceHelper.getInstance().getStorageInfo();
        return showResult(R.string.storage_details, ret);
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.controller_battery);
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    @Override
    public String secondItemClickResult() {
        String ret = ToBServiceHelper.getInstance().getControllerBattery(new Consumer<String>() {
            @Override
            public void accept(String batteryInfo) {
                //callback when battery changes
            }
        });
        return showResult(R.string.controller_battery, ret);
    }
}
