package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.Build;
import android.util.Log;

import androidx.annotation.RequiresApi;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.function.Consumer;

public class BluetoothTest extends BaseThreeItems {
    private static final String TAG = "BluetoothTest";

    public BluetoothTest(Context context) {
        super(context);
    }

    @Override
    public String getThirdName() {
        return "开关蓝牙";
    }

    @Override
    public String thirdItemClickResult() {
        final boolean on = ToBServiceHelper.getInstance().isBtOn(null);
        ToBServiceHelper.getInstance().setBtEnabled(!on);
        return "蓝牙已" + (!on ? "开" : "关");
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.bluetooth_state);
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    @Override
    protected String itemClickResult() {
        boolean b = ToBServiceHelper.getInstance().isBtOn(new Consumer<Boolean>() {
            @Override
            public void accept(Boolean aBoolean) {
                Log.i(TAG, "callback is bluetooth on:" + aBoolean);
            }
        });

        return showResult(R.string.bluetooth_state, b ? "ON" : "OFF");
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.bluetooth_connected_device_name);
    }

    @Override
    public String secondItemClickResult() {
        String name = null;
        if (android.os.Build.VERSION.SDK_INT >= android.os.Build.VERSION_CODES.N) {
            name = ToBServiceHelper.getInstance().getBtNameConnected(new Consumer<String>() {
                @Override
                public void accept(String s) {
                    Log.i(TAG, "callback connected bluetooth device name:" + s);
                }
            });
        }

        return showResult(R.string.bluetooth_connected_device_name, name);
    }

}
