package com.yvr.testtobsetting.test;

import android.content.Context;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.Random;

public class BrightnessTest extends BaseThreeItems {
    public BrightnessTest(Context context) {
        super(context);
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.screen_off_timeout);
    }

    @Override
    public String thirdItemClickResult() {
        Random random = new Random();
        ToBServiceHelper.getInstance().setScreenOffTimeOut(1000 * random.nextInt(1000));
        int screenOffTimeOut = ToBServiceHelper.getInstance().getScreenOffTimeOut();
        return showResult(R.string.screen_off_timeout, screenOffTimeOut + "");
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.brightness);
    }

    static int brightnessDirect = 5;
    @Override
    protected String itemClickResult() {
        int brightness = ToBServiceHelper.getInstance().getBrightness() + brightnessDirect;
        //0 - 255
        if(brightness >= 255) {
            brightness = 255;
            brightnessDirect = -5;
        }
        if(brightness <= 5) {
            brightness = 5;
            brightnessDirect = 5;
        }
        ToBServiceHelper.getInstance().setBrightness(brightness);
        return showResult(R.string.current_brghtness, brightness + "");
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.turn_off_screen);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().setScreenOff();
        return showResult(R.string.turn_off_screen, true);
    }
}
