package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.Build;
import android.util.Log;

import androidx.annotation.RequiresApi;

import com.yvr.testtobsetting.base.BaseItem;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.ToBServiceHelper;
import com.yvr.testtobsetting.R;

import java.util.function.Consumer;

public class ChargingStatusTest extends BaseTwoItems {
    public ChargingStatusTest(Context context) {
        super(context);
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.hmd_charging_status);
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    @Override
    public String secondItemClickResult() {
        boolean hmdChargingStatus = ToBServiceHelper.getInstance().isDeviceCharging(new Consumer<Boolean>() {
            @Override
            public void accept(Boolean aBoolean) {
                Log.i(TAG,"HMD is charging:"+aBoolean);
            }
        });
        return ""+hmdChargingStatus;
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.controller_charing_status);
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    @Override
    protected String itemClickResult() {
        String controllerCharingState = ToBServiceHelper.getInstance().isControllerCharging(new Consumer<String>() {
            @Override
            public void accept(String s) {
                Log.i(TAG,"controllerCharingState:"+s);
            }
        });
        return controllerCharingState;
    }
}
