package com.yvr.testtobsetting.test;

import android.os.Bundle;
import android.view.View;
import android.widget.Toast;

import androidx.annotation.Nullable;


import com.yvr.testtobsetting.base.BaseActivity;
import com.yvr.testtobsetting.base.BaseItemFragment;
import com.yvr.testtobsetting.base.BaseItem;

import java.util.ArrayList;
import java.util.List;

public class FragmentScreencast extends BaseItemFragment {
    @Override
    public List<BaseItem> onSubCreate(@Nullable Bundle savedInstanceState) {
        BaseActivity activity = ((BaseActivity) getActivity());
        if (activity != null) {
            activity.mEditText.setVisibility(View.VISIBLE);
        }
        List<BaseItem> itemList = new ArrayList<>();
        createItemList(itemList);
        return itemList;
    }

    @Override
    public void onDetach() {
        super.onDetach();
        BaseActivity activity = ((BaseActivity) getActivity());
        if (activity != null) {
            activity.mEditText.setVisibility(View.GONE);
        }
    }

    @Override
    public boolean doClickListener() {
        return true;
    }

    private void createItemList(List<BaseItem> list) {
        //test items
//        TestClickItem testClickItem = new TestClickItem(getContext());
//        testClickItem.setClickListener(mViewItemClick);
//        addItemList(list, testClickItem);
        ScreencastScanTest screencastScanTest = new ScreencastScanTest(getContext());
        addItemList(list, screencastScanTest);
        ScreencastConnTest screencastConnTest = new ScreencastConnTest(getContext(), (BaseActivity)getActivity());
        addItemList(list, screencastConnTest);
        ScreencastInfoTest screencastInfoTest = new ScreencastInfoTest(getContext());
        addItemList(list, screencastInfoTest);
    }

    @Override
    public boolean doItemClick(BaseItem item) {
        if (item instanceof TestClickItem) {
            Toast.makeText(getContext(), "Click handle in Fragment",
                    Toast.LENGTH_SHORT).show();
            //example: startActivityForResult
            return true;
        }
        return false;
    }
}
