package com.yvr.testtobsetting.test;

import android.content.Context;
import android.util.Log;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseFourItems;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class HandTrackingStatusTest extends BaseFourItems {
    public HandTrackingStatusTest(Context context) {
        super(context);
    }

    @Override
    public String getFourthName() {
        return "创建安全边界";
    }

    @Override
    public String fourthItemClickResult() {
        ToBServiceHelper.getInstance().createSecurityArea();
        return "应用启动成功";
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.hand_tracking_status);
    }

    @Override
    public String thirdItemClickResult() {
        boolean on = ToBServiceHelper.getInstance().getHandTrackingStatus();
        return showResult(R.string.hand_tracking_status, on ? "ON" : "OFF");
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.hand_tracking_status_on);
    }

    @Override
    protected String itemClickResult() {
        ToBServiceHelper.getInstance().setHandTrackingStatus(true);
        return showResult(R.string.hand_tracking_status_on, true);
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.hand_tracking_status_off);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().setHandTrackingStatus(false);
        return showResult(R.string.hand_tracking_status_off, true);
    }
}
