package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import android.widget.Toast;

import androidx.annotation.RequiresApi;

import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.function.Consumer;

public class LargeSpaceMap extends BaseTwoItems {
    private static final String TAG = LargeSpaceMap.class.getSimpleName();
    private Context context;

    public LargeSpaceMap(Context context) {
        super(context);
        this.context = context;
    }

    @Override
    public String getName() {
        return "exportMaps";
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    @Override
    protected String itemClickResult() {
        Log.d(TAG, "exportMaps");
        ToBServiceHelper.getInstance().exportMaps(new Consumer<Boolean>() {
            @Override
            public void accept(Boolean result) {
                Log.d(TAG, "exportMaps " + result);
                new Handler(Looper.getMainLooper()).post(() -> {
                    Toast.makeText(context, "exportMaps " + result, Toast.LENGTH_LONG).show();
                });
            }
        }, 0);
        return "exportMaps return async " + System.currentTimeMillis();
    }

    @Override
    public String getSecondName() {
        return "importMaps";
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    @Override
    public String secondItemClickResult() {
        Log.d(TAG, "importMaps");
        ToBServiceHelper.getInstance().importMaps(new Consumer<Boolean>() {
            @Override
            public void accept(Boolean result) {
                Log.d(TAG, "importMaps " + result);
                new Handler(Looper.getMainLooper()).post(() -> {
                    Toast.makeText(context, "importMaps " + result, Toast.LENGTH_LONG).show();
                });
            }
        }, 0);

        return "importMaps return async " + System.currentTimeMillis();
    }
}
