package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import android.widget.Toast;

import androidx.annotation.RequiresApi;

import com.yvr.testtobsetting.base.BaseItem;
import com.yvr.tobsettings.MarkerInfo;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.Arrays;
import java.util.function.Consumer;

public class LargeSpaceMarker extends BaseItem {
    private static final String TAG = LargeSpaceMarker.class.getSimpleName();
    private Context context;

    public LargeSpaceMarker(Context context) {
        super(context);
        this.context = context;
    }

    @Override
    public String getName() {
        return "setMarkerInfoCallback";
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    @Override
    protected String itemClickResult() {
        Log.d(TAG, "setMarkerInfoCallback");
        final int result = ToBServiceHelper.getInstance().setMarkerInfoCallback(new Consumer<MarkerInfo[]>() {
            @Override
            public void accept(MarkerInfo[] markerInfos) {
                Log.d(TAG, "setMarkerInfoCallback " + Arrays.toString(markerInfos));
                new Handler(Looper.getMainLooper()).post(() -> {
                    Toast.makeText(context, "setMarkerInfoCallback " + Arrays.toString(markerInfos), Toast.LENGTH_LONG).show();

                });
            }
        });

        return "setMarkerInfoCallback return " + result + " " + System.currentTimeMillis();
    }
}
