package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import android.widget.Toast;

import androidx.annotation.RequiresApi;

import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.function.Consumer;

public class LargeSpaceSwitch extends BaseTwoItems {
    private static final String TAG = LargeSpaceSwitch.class.getSimpleName();
    private Context context;

    public LargeSpaceSwitch(Context context) {
        super(context);
        this.context = context;
    }

    @Override
    public String getName() {
        return "getLargeSpaceStatus";
    }

    @Override
    protected String itemClickResult() {
        final String status = ToBServiceHelper.getInstance().getLargeSpaceStatus(0);
        new Handler(Looper.getMainLooper()).post(() -> {
            Toast.makeText(context, "getLargeSpaceStatus " + status, Toast.LENGTH_LONG).show();
        });
        return status;
    }

    @Override
    public String getSecondName() {
        return "switchLargeSpaceScene";
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    @Override
    public String secondItemClickResult() {
        Log.d(TAG, "switchLargeSpaceScene");
        boolean open = "1".equals(ToBServiceHelper.getInstance().getLargeSpaceStatus(0));
        ToBServiceHelper.getInstance().switchLargeSpaceScene(!open, new Consumer<Boolean>() {
            @Override
            public void accept(Boolean result) {
                Log.d(TAG, "switchLargeSpaceScene " + result);
                new Handler(Looper.getMainLooper()).post(() -> {
                    Toast.makeText(context, "switchLargeSpaceScene " + result, Toast.LENGTH_LONG).show();
                });
            }
        }, 0);
        return "switchLargeSpaceScene return async " + System.currentTimeMillis();
    }
}
