package com.yvr.testtobsetting.test;

import android.os.Bundle;

import androidx.annotation.Nullable;

import com.yvr.testtobsetting.base.BaseItemFragment;
import com.yvr.testtobsetting.base.BaseItem;

import java.util.ArrayList;
import java.util.List;

public class MainFragment extends BaseItemFragment {

    @Override
    public List<BaseItem> onSubCreate(@Nullable Bundle savedInstanceState) {
        List<BaseItem> mainItemList = new ArrayList<>();
        createMainItemList(mainItemList);
        return mainItemList;
    }

    @Override
    public boolean doClickListener() {
        return true;
    }

    private void createMainItemList(List<BaseItem> list) {
        HwInfoTest hwInfoTest = new HwInfoTest(getContext());
        addItemList(list, hwInfoTest);
        SwInfoTest swInfoTest = new SwInfoTest(getContext());
        addItemList(list, swInfoTest);

        HomeTest homeTest = new HomeTest(getContext());
        addItemList(list, homeTest);

        BrightnessTest brightnessTest = new BrightnessTest(getContext());
        addItemList(list, brightnessTest);

        ApkTest apkTest = new ApkTest(getContext());
        addItemList(list, apkTest);

        StartAppTest startAppTest = new StartAppTest(getContext());
        addItemList(list, startAppTest);

        StopAppTest stopAppTest = new StopAppTest(getContext());
        addItemList(list, stopAppTest);

        ScreenRecordTest screenRecordTest = new ScreenRecordTest(getContext());
        addItemList(list, screenRecordTest);

        ScreenRecordWithImageReaderTest screenRecordWithImageReaderTest = new ScreenRecordWithImageReaderTest(getContext());
        addItemList(list, screenRecordWithImageReaderTest);

        BatteryStorageTest batteryStorageTest = new BatteryStorageTest(getContext());
        addItemList(list, batteryStorageTest);

        ChargingStatusTest chargingStatusTest = new ChargingStatusTest(getContext());
        addItemList(list,chargingStatusTest);

        KeyEventObserverTest keyEventObserverTest = new KeyEventObserverTest(getActivity());
        addItemList(list,keyEventObserverTest);

        KeyABHome keyABHome = new KeyABHome(getContext());
        addItemList(list, keyABHome);
        KeyXYMenu keyXYMenu = new KeyXYMenu(getContext());
        addItemList(list, keyXYMenu);

        SideTriggerTest sideTriggerTest = new SideTriggerTest(getContext());
        addItemList(list, sideTriggerTest);
        ThumbstickTest thumbstickTest = new ThumbstickTest(getContext());
        addItemList(list, thumbstickTest);
        TriggerTest triggerTest = new TriggerTest(getContext());
        addItemList(list, triggerTest);

        TrackingTest trackingTest = new TrackingTest(getContext());
        addItemList(list, trackingTest);

        WifiTest wifiTest = new WifiTest(getContext());
        addItemList(list, wifiTest);
        VolumeTest volumeTest = new VolumeTest(getContext());
        addItemList(list, volumeTest);

        // A fragment nested example
        ScreencastItem screencastItem = new ScreencastItem(getContext());
        screencastItem.setFragment(new FragmentScreencast(),
                item -> mViewItemClick.onItemClick(item));
        addItemList(list, screencastItem);

        EyeProtectionTest eyeProtectionTest = new EyeProtectionTest(getContext());
        addItemList(list, eyeProtectionTest);

        AppStoreTest appStoreTest = new AppStoreTest(getContext());
        addItemList(list, appStoreTest);

        final AppListTest appListTest = new AppListTest(getContext());
        addItemList(list, appListTest);

        AppCopyrightTest appCopyrightTest = new AppCopyrightTest(getContext());
        //addItemList(list, appCopyrightTest);

        LargeSpaceSwitch largeSpaceSwitch = new LargeSpaceSwitch(getContext());
        //addItemList(list, largeSpaceSwitch);

        LargeSpaceMap largeSpaceMap = new LargeSpaceMap(getContext());
        //addItemList(list, largeSpaceMap);

        LargeSpaceMarker largeSpaceMarker = new LargeSpaceMarker(getContext());
        //addItemList(list, largeSpaceMarker);

        HandTrackingStatusTest handTrackingStatusTest = new HandTrackingStatusTest(getContext());
        addItemList(list, handTrackingStatusTest);

        RebootTest rebootTest = new RebootTest(getContext());
        addItemList(list, rebootTest);

        ScreenOffTest screenOffTest = new ScreenOffTest(getContext());
        addItemList(list, screenOffTest);

        VideoPlayTest videoPlayTest = new VideoPlayTest(getContext());
        addItemList(list, videoPlayTest);

        BluetoothTest bluetoothTest = new BluetoothTest(getContext());
        addItemList(list, bluetoothTest);

        final ScreenOffSleepTimeoutTest screenOffSleepTimeoutTest = new ScreenOffSleepTimeoutTest(getContext());
        //addItemList(list, screenOffSleepTimeoutTest);

        final AppKeepAliveTest appKeepAliveTest = new AppKeepAliveTest(getContext());
        addItemList(list,appKeepAliveTest);

        PassthroughTest passthroughTest = new PassthroughTest(getContext());
        addItemList(list,passthroughTest);

        final ScreenCastByFlv screenCastByFlv = new ScreenCastByFlv(getContext());
        addItemList(list, screenCastByFlv);

        final ScreenCastByRtsp screenCastByRtsp = new ScreenCastByRtsp(getContext());
        addItemList(list, screenCastByRtsp);

        final UsbDebugTest usbDebugTest = new UsbDebugTest(getContext());
        addItemList(list, usbDebugTest);

        ThirdPartyRunningAppListTest thirdPartyRunningAppListTest = new ThirdPartyRunningAppListTest(getContext());
        addItemList(list, thirdPartyRunningAppListTest);

        TopRunningAppTest topRunningAppTest = new TopRunningAppTest(getContext());
        addItemList(list, topRunningAppTest);

        final SystemUpgradeTest systemUpgradeTest = new SystemUpgradeTest(getContext());
        addItemList(list, systemUpgradeTest);

        final GestureCtrlHomeIconTest gestureCtrlHomeIconTest = new GestureCtrlHomeIconTest(getContext());
        addItemList(list, gestureCtrlHomeIconTest);
    }
}
