package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.widget.Toast;

import androidx.annotation.RequiresApi;

import com.yvr.testtobsetting.base.BaseFourItems;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.function.Consumer;

public class ScreenCastByFlv extends BaseFourItems {

    private static final String TAG = ScreenCastByFlv.class.getSimpleName();
    private Context mContext;

    public ScreenCastByFlv(Context context) {
        super(context);
        mContext = context;
    }

    @Override
    public String getFourthName() {
        return "stopScreenCastByFlv";
    }

    @Override
    public String fourthItemClickResult() {
        final boolean stopScreenCastByFlv = ToBServiceHelper.getInstance().stopScreenCastByFlv();
        return "stopScreenCastByFlv: " + stopScreenCastByFlv;
    }

    @Override
    public String getName() {
        return "isScreenCastByFlv";
    }

    @Override
    protected String itemClickResult() {
        final boolean isScreenCastByFlv = ToBServiceHelper.getInstance().isScreenCastByFlv();
        return "isScreenCastByFlv: " + isScreenCastByFlv;
    }

    @Override
    public String getThirdName() {
        return "startScreenCastByFlv(720p)";
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    @Override
    public String thirdItemClickResult() {
        final boolean getScreenCastAddressByFlv = ToBServiceHelper.getInstance().startScreenCastByFlv(new Consumer<String>() {
            @Override
            public void accept(String s) {

                new Handler(Looper.getMainLooper()).post(() -> {
                    Toast.makeText(mContext, "startScreenCastByFlv: " + s, Toast.LENGTH_LONG).show();
                });
            }
        }, 1280, 720);
        return "startScreenCastByFlv: " + getScreenCastAddressByFlv;
    }

    @Override
    public String getSecondName() {
        return "getScreenCastAddressByFlv";
    }

    @Override
    public String secondItemClickResult() {
        final String getScreenCastAddressByFlv = ToBServiceHelper.getInstance().getScreenCastAddressByFlv();
        return "getScreenCastAddressByFlv: " + getScreenCastAddressByFlv;
    }
}
