package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.widget.Toast;

import androidx.annotation.RequiresApi;

import com.yvr.testtobsetting.base.BaseFourItems;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.function.Consumer;

public class ScreenCastByRtsp extends BaseFourItems {

    private static final String TAG = ScreenCastByRtsp.class.getSimpleName();
    private Context mContext;

    public ScreenCastByRtsp(Context context) {
        super(context);
        mContext = context;
    }

    @Override
    public String getFourthName() {
        return "stopScreenCastByRtsp";
    }

    @Override
    public String fourthItemClickResult() {
        final boolean stopScreenCastByRtsp = ToBServiceHelper.getInstance().stopScreenCastByRtsp();
        return "stopScreenCastByRtsp: " + stopScreenCastByRtsp;
    }

    @Override
    public String getName() {
        return "isScreenCastByRtsp";
    }

    @Override
    protected String itemClickResult() {
        final boolean isScreenCastByRtsp = ToBServiceHelper.getInstance().isScreenCastByRtsp();
        return "isScreenCastByRtsp: " + isScreenCastByRtsp;
    }

    @Override
    public String getThirdName() {
        return "startScreenCastByRtsp(720p)";
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    @Override
    public String thirdItemClickResult() {
        final boolean getScreenCastAddressByRtsp = ToBServiceHelper.getInstance().startScreenCastByRtsp(new Consumer<String>() {
            @Override
            public void accept(String s) {

                new Handler(Looper.getMainLooper()).post(() -> {
                    Toast.makeText(mContext, "startScreenCastByRtsp: " + s, Toast.LENGTH_LONG).show();
                });
            }
        }, 1280, 720);
        return "startScreenCastByRtsp: " + getScreenCastAddressByRtsp;
    }

    @Override
    public String getSecondName() {
        return "getScreenCastAddressByRtsp";
    }

    @Override
    public String secondItemClickResult() {
        final String getScreenCastAddressByRtsp = ToBServiceHelper.getInstance().getScreenCastAddressByRtsp();
        return "getScreenCastAddressByRtsp: " + getScreenCastAddressByRtsp;
    }
}
