package com.yvr.testtobsetting.test;

import android.app.Dialog;
import android.content.Context;
import android.os.RemoteException;
import android.util.Log;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.ToBServiceHelper;
import com.yvr.tobsettings.interfaces.IScreenRecordListener;

public class ScreenRecordTest extends BaseThreeItems {

    private Dialog mDialog;
    public ScreenRecordTest(Context context) {
        super(context);
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.screen_record_surface);
    }

    @Override
    public String thirdItemClickResult() {
        if (mDialog == null){
            mDialog = new Dialog(mContext);
            mDialog.setContentView(R.layout.dialog_surface);
            mDialog.show();
            mDialog.setOnDismissListener(dialog -> mDialog = null);
        }
        return null;
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.start_record_screen);
    }

    @Override
    protected String itemClickResult() {
        ToBServiceHelper.getInstance().startRecordScreen();
        return null;
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.end_record_screen);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().stopRecordScreen();
        return null;
    }

    @Override
    public void setServiceConnect(boolean connected) {
        super.setServiceConnect(connected);
        if (connected) {
            ToBServiceHelper.getInstance().setRecordListener(new IScreenRecordListener.Stub() {
                @Override
                public void notifyStartResult(int status) throws RemoteException {
                    //1失败 0成功
                    Log.i(TAG, "notifyStartResult:" + status);
                }

                @Override
                public void notifyStopResult(int status, String recordFilePath) throws RemoteException {
                    Log.i(TAG, "notifyStartResult:" + status + " ,recordFilePath:" + recordFilePath);
                }
            });
        }
    }
}
