package com.yvr.testtobsetting.test;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.util.Log;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class ScreenRecordWithImageReaderTest extends BaseTwoItems {
    private Dialog mDialog;
    private TestScreenRecordView testScreenRecordView;

    public ScreenRecordWithImageReaderTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.start_imagereader_screenrecord);
    }

    @Override
    protected String itemClickResult() {
        if (mDialog == null) {
            mDialog = new Dialog(mContext);
            mDialog.setContentView(R.layout.test_screenrecoder);
            testScreenRecordView = mDialog.findViewById(R.id.imageinfo);
            mDialog.show();
            testScreenRecordView.initImageReader();
            testScreenRecordView.startRecord();
            mDialog.setOnDismissListener(new DialogInterface.OnDismissListener() {
                @Override
                public void onDismiss(DialogInterface dialog) {
                    ToBServiceHelper.getInstance().stopRecordScreenBySurface();
                    mDialog = null;
                }
            });
        }
        return "";
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.stop_imagereader_screenrecord);
    }

    @Override
    public String secondItemClickResult() {
        if (testScreenRecordView != null) {
            testScreenRecordView.stopRecord();
        }
        if (mDialog != null) {
            mDialog.dismiss();
        }
        return null;
    }
}
