package com.yvr.testtobsetting.test;

import android.content.Context;
import android.text.TextUtils;
import android.util.Log;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseActivity;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.IScreenCastCallback;
import com.yvr.tobsettings.ToBServiceHelper;

import org.json.JSONArray;
import org.json.JSONObject;

public class ScreencastConnTest extends BaseTwoItems {
    private BaseActivity mActivity;
    public ScreencastConnTest(Context context) {
        super(context);
        TAG += "ScreencastConnTest";
    }

    public ScreencastConnTest(Context context, BaseActivity activity) {
        this(context);
        mActivity = activity;
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.connect_screencast);
    }

    @Override
    protected String itemClickResult() {
        try {
            if (mActivity == null) {
                return showResult(R.string.connect_screencast, false);
            }
            String indexStr = mActivity.mEditText.getText().toString().trim();
            Log.d(TAG, "Edit text:" + indexStr);
            int index = Integer.parseInt(indexStr);
            String list = ToBServiceHelper.getInstance().getAvailableScreenCastDevices();
            JSONArray jsonArray = new JSONArray(list);
            if (jsonArray.length() > 0) {
                if (index < jsonArray.length()) {
                    JSONObject jsonObject = (JSONObject) jsonArray.get(index);
                    if (jsonObject != null) {
                        String name = jsonObject.getString("name");
                        String address = jsonObject.getString("address");
                        if (!TextUtils.isEmpty(address)) {
                            ToBServiceHelper.getInstance().connectScreenCastDevice(address);
                        }
                    }
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.disconnect_screencast);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().disconnectScreenCast();
        return showResult(R.string.disconnect_screencast, true);
    }

    @Override
    public void setServiceConnect(boolean connected) {
        super.setServiceConnect(connected);
        if (connected) {
            ToBServiceHelper.getInstance().setScreenCastCallback(new IScreenCastCallback() {
                @Override
                public void connected(String deviceName) {
                    Log.d(TAG, "connected:" + deviceName);
                }

                @Override
                public void disconnected(String deviceName) {
                    Log.d(TAG, "disconnected:" + deviceName);
                }
            });
        }
    }
}
