package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.util.Log;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseFiveItems;
import com.yvr.testtobsetting.base.BaseFourItems;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.IKeyEventCallback;
import com.yvr.tobsettings.ToBServiceHelper;

public class TrackingTest extends BaseFiveItems {
    public TrackingTest(Context context) {
        super(context);
        TAG += "TrackingTest";
    }

    @Override
    public String getFiveName() {
        return "安全追踪开关";
    }

    @Override
    public String fiveItemClickResult() {
        final int status = ToBServiceHelper.getInstance().getSecurityTracking();
        ToBServiceHelper.getInstance().setSecurityTracking(1-status);
        return "安全追踪已" + ((1 == 1-status) ? "开" : "关");
    }

    @Override
    public String getFourthName() {
        return "安全边界开关";
    }

    @Override
    public String fourthItemClickResult() {
        final int status = ToBServiceHelper.getInstance().getSecurityAreaStatus();
        ToBServiceHelper.getInstance().setSecurityAreaStatus(1-status);
        return "安全边界已" + ((1 == 1-status) ? "开" : "关");
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.open_hand_tracking);
    }

    @Override
    public String thirdItemClickResult() {
        ToBServiceHelper.getInstance().setHandTrackingEnable(true, false);
        new Handler(Looper.getMainLooper()).postDelayed(() -> {
            ToBServiceHelper.getInstance().reboot();
        }, 1000);
        return null;
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.security_tracking);
    }

    @Override
    protected String itemClickResult() {
        int status = ToBServiceHelper.getInstance().getSecurityTracking();
        if (status == 1) {
            ToBServiceHelper.getInstance().setSecurityTracking(0);
        } else {
            ToBServiceHelper.getInstance().setSecurityTracking(1);
        }
        new Handler(Looper.getMainLooper()).postDelayed(() -> {
            ToBServiceHelper.getInstance().reboot();
        }, 1000);
        return null;
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.close_hand_tracking);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().setHandTrackingEnable(false, false);
        new Handler(Looper.getMainLooper()).postDelayed(() -> {
            ToBServiceHelper.getInstance().reboot();
        }, 1000);
        return null;
    }

    @Override
    public void setServiceConnect(boolean connected) {
        super.setServiceConnect(connected);
        if (connected) {
            ToBServiceHelper.getInstance().setTrackingKeyEventCallback(new IKeyEventCallback() {
                @Override
                public void onKeyDown(int mask) {
                    Log.i(TAG, "onKeyDown mask:" + mask);
                }

                @Override
                public void onKeyUp(int mask) {
                    Log.i(TAG, "onKeyUp mask:" + mask);
                }
            });
        }
    }
}
