package com.yvr.testtobsetting.test;

import android.content.Context;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class VolumeTest extends BaseThreeItems {
    public VolumeTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.current_volume);
    }

    @Override
    protected String itemClickResult() {
        int volume = ToBServiceHelper.getInstance().getSystemAudioVolume();
        return showResult(R.string.current_volume, volume + "");
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.set_volume);
    }

    static int volumeDirect = 1;
    @Override
    public String thirdItemClickResult() {
        int maxVolume = ToBServiceHelper.getInstance().getSystemMaxAudioVolume();
        int volume = ToBServiceHelper.getInstance().getSystemAudioVolume() + volumeDirect;
        if(volume >= maxVolume) {
            volume = maxVolume;
            volumeDirect = -1;
        }
        if(volume <= 0) {
            volume = 0;
            volumeDirect = 1;
        }
        ToBServiceHelper.getInstance().setSystemAudioVolume(volume);
        return showResult(R.string.current_volume, volume + "");
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.max_volume);
    }

    @Override
    public String secondItemClickResult() {
        int maxVolume = ToBServiceHelper.getInstance().getSystemMaxAudioVolume();
        return showResult(R.string.max_volume, maxVolume + "");
    }
}
