using UnityEngine;
using YVR.Utilities;

namespace YVR.AndroidDevice.Business
{
    public class DeviceDataMgr : Singleton<DeviceDataMgr>
    {
        private AndroidJavaObject m_ServiceInstance = null;

        public string className => "com.yvr.tobsettings.ToBServiceHelper";
        public string unityActivity => "com.unity3d.player.UnityPlayer";
        public string getContext => "currentActivity";
        public string getInstance => "getInstance";
        public string init => "init";

        public string getBtMac => "getBtMac";
        public string getDeviceModel => "getDeviceModel";
        public string getDeviceSn => "getDeviceSn";
        public string getSoftwareVersion => "getDeviceSn";
        public string getWifiMac => "getWifiMac";
        public string switchHomeState => "changeThirdHomeState";

        protected override void OnInit()
        {
            base.OnInit();
            this.Debug("Enter Init Binder");
            var unityActivityClass = new AndroidJavaClass(unityActivity);
            var context = unityActivityClass.GetStatic<AndroidJavaObject>(getContext);
            var binderHelperClass = new AndroidJavaClass(className);
            
            binderHelperClass.CallStatic(init, context);
            m_ServiceInstance =binderHelperClass.CallStatic<AndroidJavaObject>(getInstance);
            
            this.Debug($"Get binder is Null{m_ServiceInstance == null} ");
        }

        public string btMac => m_ServiceInstance.Call<string>(getBtMac);
        public string deviceModel => m_ServiceInstance.Call<string>(getDeviceModel);
        public string deviceSn => m_ServiceInstance.Call<string>(getDeviceSn);
        public string softwareVersion => m_ServiceInstance.Call<string>(getSoftwareVersion);
        public string wifiMac => m_ServiceInstance.Call<string>(getWifiMac);

        public bool SetHomeState(string packageName, bool enable)
        {
            return m_ServiceInstance.Call<bool>(switchHomeState, packageName, enable);
        }
    }
}